Apache Tomcat 6.0.51

## org.apache.jasper.el
Class VariableResolverImpl

    java.lang.Object
      org.apache.jasper.el.VariableResolverImpl

All Implemented Interfaces:
  javax.servlet.jsp.el.VariableResolver

    public final class VariableResolverImpl

extends java.lang.Object
implements javax.servlet.jsp.el.VariableResolver

Constructor Summary
`VariableResolverImpl(javax.el.ELContext ctx)`

Method Summary
`java.lang.Object` | `resolveVariable(java.lang.String pName)` Resolves the specified variable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableResolverImpl

    public VariableResolverImpl(javax.el.ELContext ctx)

Method Detail

### resolveVariable

    public java.lang.Object resolveVariable(java.lang.String pName)
                                     throws javax.servlet.jsp.el.ELException

  Description copied from interface: `javax.servlet.jsp.el.VariableResolver`
  Resolves the specified variable. Returns null if the variable is not found.

  Specified by:
    `resolveVariable` in interface `javax.servlet.jsp.el.VariableResolver`
  Parameters:
    `pName` - the name of the variable to resolve
  Returns:
    the result of the variable resolution
  Throws:
    `javax.servlet.jsp.el.ELException` - if a failure occurred while trying to resolve the given variable

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.